Get Task Agent

Retrieve detailed information about a specific Task Agent. Returns root Task Agent metadata with embedded immutable revisions. Runtime configuration such as instructions, models, and tools is stored on each revision.

Authentication

AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

OR
AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.
task_agent_idstringRequiredformat: "uuid"
The specific Task Agent to reference.

Response

Task Agent details
idstringformat: "uuid"
namestring
task_agent_run_visibilityenum
is_deletedboolean
createdstring
modifiedstring
active_revisionobject or nullOptional
Summary of the active TaskAgent revision.
revisionslist of objectsOptional
shared_with_projectbooleanOptionalDefaults to false

When true the TaskAgent is shared with members of its Project.

seven_day_summaryobject or nullOptional

Optional summary of visible TaskAgent runs created in the last seven days. Populated when the list endpoint is called with seven_day_summary=true.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error